Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162379 - unable to "connect to server" to a ftp host with user name containing "@"
Summary: unable to "connect to server" to a ftp host with user name containing "@"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-03 14:22 UTC by Marek Stanczyk
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-04 15:09:23 UTC


Attachments (Terms of Use)

Description Marek Stanczyk 2005-07-03 14:22:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I'm connecting to a ftp site with a user name that has an "@" sign (e.g. something@something.com).
When connecting from nautilus using Open Location (Ctrl-L), it prompts for password, and everything works.
However, when trying to mount the ftp site to desktop using Places -> "Connect to Server", I'm repeatedly asked for password for something%40something.com@<url>, and it never connects.

Version-Release number of selected component (if applicable):
nautilus-2.10.0-4

How reproducible:
Always

Steps to Reproduce:
1. Places -> Connect to Server
2. Enter a ftp site with user name containing "@" sign
  

Actual Results:  Repeatedly asked for password (user name is displayed with "@" replaced by "%40"), never accepted.

Expected Results:  Connect after entering password.

Additional info:

Same behavior was in FC3.

Comment 1 Alexander Larsson 2006-09-04 15:09:23 UTC
This should be fixed by now:
http://bugzilla.gnome.org/show_bug.cgi?id=89106


Note You need to log in before you can comment on or make changes to this bug.